Quassel IRC - Bug #1524

All Chats window cannot be docked back on Windows
05/05/2019 11:31 PM - Manneveru

Status: Feedback Start date: 05/05/2019
Priority: High Due date:

Assignee: % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.13.0 0S: Windows
Description

| accidentally undocked All Chats window into floating and | can't dock it back on Windows.

Nicks windows works fine, both double click on title bar and moving until the box appears in main window to drop. That's quite
annoying.

The problem is present in 0.13.1 on Windows 10.

History

#1 - 08/15/2019 06:18 PM - genius3000

- Status changed from New to Feedback

I just tried this with 0.13.1 on Win10 and can successfully re-dock the chatlists (incl. All Chats). Double click or dragging the title bar to un-dock and a
double click re-docks where it was, dragging required hitting the lower left corner (assuming it was docked on the left). | was also able to dock on the
right side and then move it back to the left.

Can you confirm that your issue persists after a client restart?

#2 - 01/18/2021 11:57 AM - ahogbin

genius3000 wrote:

| just tried this with 0.13.1 on Win10 and can successfully re-dock the chat lists (incl. All Chats). Double click or drag the title bar to un-dock and
a double click re-docks where it was, dragging required hitting the lower-left corner (assuming it was docked on the left). | was also able to dock
on the right side and then move it back to the left.

Can you confirm that your issue persists after a client restart?

| am seeing similar behaviour. RPM-based install of Fedora 33. | am unable to re-dock. Double-clicking or dragging either simply moves the undocked
content, or makes it full screen.

Obviously possible | am missing the point - but it's not apparent (*to me) how to re-dock.
